/*********************************************************************************************************************/
/*    BME 363 Biomedical Instrumentation Laboratory, Biomedical Engineering Program, University of Rhode Island      */
/*            Licensed under the Apache License, Version 2.0 <http://www.apache.org/licenses/LICENSE-2.0>            */
/*                Initiated by Cody Goldberg in January 2016; Modified by Ying Sun in December 2016                  */
/*********************************************************************************************************************/

package edu.uri.egr.bme363lab.ui;

import android.view.View;

/****************************** Utilities to handle simple animation on views ****************************************/
public class Animation {  /* Makes a view animate in by changing the alpha from 0 to 1, @param view View to animate **/
    public static void show(View view) {
        if (view.getVisibility() == View.VISIBLE) return;
        view.setVisibility(View.VISIBLE);
        view.setAlpha(0f);
        view.animate()
                .alpha(1f)
                .start();
    }

    /********* Makes a view animate out by chaning the alpha from 1 to 0, @param view View to animate ****************/
    public static void hide(View view) {
        if (view.getVisibility() == View.GONE) return;
        view.animate()
                .alpha(0f)
                .withEndAction(() -> view.setVisibility(View.GONE))
                .start();
    }
}
